<?php

namespace app\entity\data\gzc;

use app\entity\data\DataEntity;

class GzcLogEntity extends DataEntity
{
    public $id = 0;  // 日志ID
    public $uid = 0;  // 用户ID
    public $platformNo = '';  // 平台申请单号
    public $accountType = 0;  // 账号类型 1银行卡 2支付宝 3微信
    public $bankName = '';  // 开户银行名称
    public $branchName = '';  // 支行名称
    public $bankAccount = '';  // 开户银行账号
    public $bankNo = '';  // 银行流水号
    public $alipayAccount = '';  // 支付宝支付账号
    public $alipayNo = '';  // 支付宝流水号
    public $wxpayAccount = '';  // 微信账号
    public $wxpayNo = '';  // 交易流水号
    public $userName = '';  // 消费者姓名
    public $mobile = '';  // 消费者电话
    public $userCard = '';  // 消费者证件号
    public $pension = 0.00;  // 存入的养老金金额
    public $gzc = 0;  // 公证处是否已发起入账 0否 1是
    public $gzcDepositNo = '';  // 公证处入账明细编号
    public $gzcConfirmResult = '';  // 公证处入账结果
    public $success = 0;  // 是否入账成功 0否 1是
    public $orderType = 0;  // 订单类型 1-线下支付 2-线上支付 3-拼多多 4-京东 5-苏宁 6-淘宝 7-唯品会 8-抖音 9-话费
    public $outTradeNo = '';  // 单号
    public $depositDt = null;  // 存入时间
    public $payTime = null;  // 支付时间
    public $createTime = null;  // 创建时间
    public $updateTime = null;  // 更新时间
    public $linkId = 0;  // 关联账单id

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return GzcLogEntity
     */
    public function setId(int $id): GzcLogEntity
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return int
     */
    public function getUid(): int
    {
        return $this->uid;
    }

    /**
     * @param int $uid
     * @return GzcLogEntity
     */
    public function setUid(int $uid): GzcLogEntity
    {
        $this->uid = $uid;
        return $this;
    }

    /**
     * @return string
     */
    public function getPlatformNo(): string
    {
        return $this->platformNo;
    }

    /**
     * @param string $platformNo
     * @return GzcLogEntity
     */
    public function setPlatformNo(string $platformNo): GzcLogEntity
    {
        $this->platformNo = $platformNo;
        return $this;
    }

    /**
     * @return int
     */
    public function getAccountType(): int
    {
        return $this->accountType;
    }

    /**
     * @param int $accountType
     * @return GzcLogEntity
     */
    public function setAccountType(int $accountType): GzcLogEntity
    {
        $this->accountType = $accountType;
        return $this;
    }

    /**
     * @return string
     */
    public function getBankName(): string
    {
        return $this->bankName;
    }

    /**
     * @param string $bankName
     * @return GzcLogEntity
     */
    public function setBankName(string $bankName): GzcLogEntity
    {
        $this->bankName = $bankName;
        return $this;
    }

    /**
     * @return string
     */
    public function getBranchName(): string
    {
        return $this->branchName;
    }

    /**
     * @param string $branchName
     * @return GzcLogEntity
     */
    public function setBranchName(string $branchName): GzcLogEntity
    {
        $this->branchName = $branchName;
        return $this;
    }

    /**
     * @return string
     */
    public function getBankAccount(): string
    {
        return $this->bankAccount;
    }

    /**
     * @param string $bankAccount
     * @return GzcLogEntity
     */
    public function setBankAccount(string $bankAccount): GzcLogEntity
    {
        $this->bankAccount = $bankAccount;
        return $this;
    }

    /**
     * @return string
     */
    public function getBankNo(): string
    {
        return $this->bankNo;
    }

    /**
     * @param string $bankNo
     * @return GzcLogEntity
     */
    public function setBankNo(string $bankNo): GzcLogEntity
    {
        $this->bankNo = $bankNo;
        return $this;
    }

    /**
     * @return string
     */
    public function getAlipayAccount(): string
    {
        return $this->alipayAccount;
    }

    /**
     * @param string $alipayAccount
     * @return GzcLogEntity
     */
    public function setAlipayAccount(string $alipayAccount): GzcLogEntity
    {
        $this->alipayAccount = $alipayAccount;
        return $this;
    }

    /**
     * @return string
     */
    public function getAlipayNo(): string
    {
        return $this->alipayNo;
    }

    /**
     * @param string $alipayNo
     * @return GzcLogEntity
     */
    public function setAlipayNo(string $alipayNo): GzcLogEntity
    {
        $this->alipayNo = $alipayNo;
        return $this;
    }

    /**
     * @return string
     */
    public function getWxpayAccount(): string
    {
        return $this->wxpayAccount;
    }

    /**
     * @param string $wxpayAccount
     * @return GzcLogEntity
     */
    public function setWxpayAccount(string $wxpayAccount): GzcLogEntity
    {
        $this->wxpayAccount = $wxpayAccount;
        return $this;
    }

    /**
     * @return string
     */
    public function getWxpayNo(): string
    {
        return $this->wxpayNo;
    }

    /**
     * @param string $wxpayNo
     * @return GzcLogEntity
     */
    public function setWxpayNo(string $wxpayNo): GzcLogEntity
    {
        $this->wxpayNo = $wxpayNo;
        return $this;
    }

    /**
     * @return string
     */
    public function getUserName(): string
    {
        return $this->userName;
    }

    /**
     * @param string $userName
     * @return GzcLogEntity
     */
    public function setUserName(string $userName): GzcLogEntity
    {
        $this->userName = $userName;
        return $this;
    }

    /**
     * @return string
     */
    public function getMobile(): string
    {
        return $this->mobile;
    }

    /**
     * @param string $mobile
     * @return GzcLogEntity
     */
    public function setMobile(string $mobile): GzcLogEntity
    {
        $this->mobile = $mobile;
        return $this;
    }

    /**
     * @return string
     */
    public function getUserCard(): string
    {
        return $this->userCard;
    }

    /**
     * @param string $userCard
     * @return GzcLogEntity
     */
    public function setUserCard(string $userCard): GzcLogEntity
    {
        $this->userCard = $userCard;
        return $this;
    }

    /**
     * @return float
     */
    public function getPension(): float
    {
        return $this->pension;
    }

    /**
     * @param float $pension
     * @return GzcLogEntity
     */
    public function setPension(float $pension): GzcLogEntity
    {
        $this->pension = $pension;
        return $this;
    }

    /**
     * @return int
     */
    public function getGzc(): int
    {
        return $this->gzc;
    }

    /**
     * @param int $gzc
     * @return GzcLogEntity
     */
    public function setGzc(int $gzc): GzcLogEntity
    {
        $this->gzc = $gzc;
        return $this;
    }

    /**
     * @return string
     */
    public function getGzcDepositNo(): string
    {
        return $this->gzcDepositNo;
    }

    /**
     * @param string $gzcDepositNo
     * @return GzcLogEntity
     */
    public function setGzcDepositNo(string $gzcDepositNo): GzcLogEntity
    {
        $this->gzcDepositNo = $gzcDepositNo;
        return $this;
    }

    /**
     * @return string
     */
    public function getGzcConfirmResult(): string
    {
        return $this->gzcConfirmResult;
    }

    /**
     * @param string $gzcConfirmResult
     * @return GzcLogEntity
     */
    public function setGzcConfirmResult(string $gzcConfirmResult): GzcLogEntity
    {
        $this->gzcConfirmResult = $gzcConfirmResult;
        return $this;
    }

    /**
     * @return int
     */
    public function getSuccess(): int
    {
        return $this->success;
    }

    /**
     * @param int $success
     * @return GzcLogEntity
     */
    public function setSuccess(int $success): GzcLogEntity
    {
        $this->success = $success;
        return $this;
    }

    /**
     * @return int
     */
    public function getOrderType(): int
    {
        return $this->orderType;
    }

    /**
     * @param int $orderType
     * @return GzcLogEntity
     */
    public function setOrderType(int $orderType): GzcLogEntity
    {
        $this->orderType = $orderType;
        return $this;
    }

    /**
     * @return string
     */
    public function getOutTradeNo(): string
    {
        return $this->outTradeNo;
    }

    /**
     * @param string $outTradeNo
     * @return GzcLogEntity
     */
    public function setOutTradeNo(string $outTradeNo): GzcLogEntity
    {
        $this->outTradeNo = $outTradeNo;
        return $this;
    }

    /**
     * @return null
     */
    public function getDepositDt()
    {
        return $this->depositDt;
    }

    /**
     * @param null $depositDt
     * @return GzcLogEntity
     */
    public function setDepositDt($depositDt)
    {
        $this->depositDt = $depositDt;
        return $this;
    }

    /**
     * @return null
     */
    public function getPayTime()
    {
        return $this->payTime;
    }

    /**
     * @param null $payTime
     * @return GzcLogEntity
     */
    public function setPayTime($payTime)
    {
        $this->payTime = $payTime;
        return $this;
    }

    /**
     * @return null
     */
    public function getCreateTime()
    {
        return $this->createTime;
    }

    /**
     * @param null $createTime
     * @return GzcLogEntity
     */
    public function setCreateTime($createTime)
    {
        $this->createTime = $createTime;
        return $this;
    }

    /**
     * @return null
     */
    public function getUpdateTime()
    {
        return $this->updateTime;
    }

    /**
     * @param null $updateTime
     * @return GzcLogEntity
     */
    public function setUpdateTime($updateTime)
    {
        $this->updateTime = $updateTime;
        return $this;
    }

    /**
     * @return int
     */
    public function getLinkId(): int
    {
        return $this->linkId;
    }

    /**
     * @param int $linkId
     * @return GzcLogEntity
     */
    public function setLinkId(int $linkId): GzcLogEntity
    {
        $this->linkId = $linkId;
        return $this;
    }
}